<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['param']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['param']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>

<option value=""><?php echo app('translator')->get('All Dates'); ?></option>
<option value="today" <?php if(request()->$param == 'today'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Today'); ?></option>
<option value="yesterday" <?php if(request()->$param == 'yesterday'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Yesterday'); ?></option>
<option value="last_week" <?php if(request()->$param == 'last_week'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Last Week'); ?></option>
<option value="last_7_days" <?php if(request()->$param == 'last_7_days'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Last 7 Days'); ?></option>
<option value="last_month" <?php if(request()->$param == 'last_month'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Last Month'); ?></option>
<option value="last_30_days" <?php if(request()->$param == 'last_30_days'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Last 30 Days'); ?></option>
<option value="this_year" <?php if(request()->$param == 'this_year'): echo 'selected'; endif; ?>><?php echo app('translator')->get('This Year'); ?></option>
<option value="last_year" <?php if(request()->$param == 'last_year'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Last Year'); ?></option>
<?php /**PATH C:\laragon\www\projects\custom_viserdesk\Files\core\resources\views/components/date-filter-option.blade.php ENDPATH**/ ?>